Get Pipeline

gethttps://statsigapi.net/console/v1/release_pipelines/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

Response

application/json
200· Get pipeline
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired

Pipeline ID

namestringrequired

Pipeline Name

creatorIDstringrequired

Pipeline Creator ID

createdTimenumberrequired

Pipeline Creation Time

lastModifierIDstringrequired

Last Modifier ID

lastModifiedTimenumberrequired

Last Modification Time

phasesobject[]

Phases of the release pipeline that will be executed in order.

id[]string

Phase ID

name[]stringrequired

Phase Name

timeIntervalMs[]numberrequired

Time interval in milliseconds for this phase

requiredReview[]booleanrequired

Whether this phase requires review to proceed

rules[]object[]required

Rules to apply in this phase

id[]string

The Statsig ID of this rule.

name[]stringrequired

The name of this rule.

conditions[]object[]required

An array of Condition objects.

targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]

The environments this rule is enabled for.

triggerNoticestring

A notice that will be displayed to the user on the config page when the release pipeline is triggered

Was this helpful?